Loading...
Searching...
No Matches
Dune::Amg::DefaultParallelConstructionArgs< T, C > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

`#include <dune/istl/paamg/smoother.hh>`

Inheritance diagram for Dune::Amg::DefaultParallelConstructionArgs< T, C >:

## Public Member Functions

virtual | ~DefaultParallelConstructionArgs ()
void | setComm (const C &comm)
const C & | getComm () const
void | setMatrix (const Matrix &matrix)
virtual void | setMatrix (const Matrix &matrix, const AggregatesMap &amap)
const Matrix & | getMatrix () const
void | setArgs (const SmootherArgs &args)
template<class T1>
void | setComm (T1 &comm)
const SequentialInformation & | getComm ()
const SmootherArgs | getArgs () const

## Protected Attributes

const Matrix * | matrix_

The documentation for this class was generated from the following file:

- smoother.hh